"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const usePreviousState = prevState => {
  const ref = _react.default.useRef();

  _react.default.useEffect(() => {
    ref.current = prevState;
  });

  return ref.current;
};

var _default = usePreviousState;
exports.default = _default;