"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sendMessage = exports.getQueryMessages = void 0;

var _axios = _interopRequireDefault(require("axios"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const sendMessage = (url, values) => {
  return _axios.default.post("".concat(url, "/whatsapp/send"), values);
};

exports.sendMessage = sendMessage;

const getQueryMessages = (url, body) => {
  return _axios.default.post("".concat(url, "/conversation/adjacent-messages"), body);
};

exports.getQueryMessages = getQueryMessages;