"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactDom = _interopRequireDefault(require("react-dom"));

var _MessageItem = _interopRequireDefault(require("./MessageItem"));

var _MessageItem2 = _interopRequireDefault(require("./MessageItem.lazy"));

var _testing = require("@apollo/client/testing");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const mocks = [];
describe('rendring of components', () => {
  it('It should mount', () => {
    const div = document.createElement('div');

    _reactDom.default.render( /*#__PURE__*/_react.default.createElement(_testing.MockedProvider, {
      mocks: mocks
    }, /*#__PURE__*/_react.default.createElement(_MessageItem.default, null)), div);

    _reactDom.default.unmountComponentAtNode(div);
  });
  it('renders It lazy component', () => {
    const div = document.createElement('div');

    _reactDom.default.render( /*#__PURE__*/_react.default.createElement(_testing.MockedProvider, {
      mocks: mocks
    }, /*#__PURE__*/_react.default.createElement(_MessageItem2.default, null)), div);

    _reactDom.default.unmountComponentAtNode(div);
  });
});