import React from 'react';

const usePreviousState = (prevState) => {
  const ref = React.useRef();
  React.useEffect(() => {
    ref.current = prevState;
  });
  return ref.current;
};

export default usePreviousState;
