import React, { lazy, Suspense } from 'react';

const LazyChatItem = lazy(() => import('./ChatItem'));

const ChatItem = props => (
  <Suspense fallback={null}>
    <LazyChatItem {...props} />
  </Suspense>
);

export default ChatItem;
