import React, { lazy, Suspense } from 'react';

const LazyChatListShell = lazy(() => import('./ChatListShell'));

const ChatListShell = props => (
  <Suspense fallback={null}>
    <LazyChatListShell {...props} />
  </Suspense>
);

export default ChatListShell;
