import React from 'react';
import ReactDOM from 'react-dom';
import ChatShell from './ChatShell';
import { MockedProvider } from '@apollo/client/testing';
import { LOAD_USERS } from "../../GraphQL/Queries";
import { render } from '@testing-library/react';

const mockedUsedNavigate = jest.fn();

jest.mock('react-router-dom', () => ({
   ...jest.requireActual('react-router-dom'),
  useNavigate: () => mockedUsedNavigate,
}));


const mocks = [];

it('It should mount', () => {
  const div = document.createElement('div');
  ReactDOM.render(<MockedProvider mocks={mocks}>
    <ChatShell />
  </MockedProvider>, div);
  ReactDOM.unmountComponentAtNode(div);
});