import React from 'react';
import ReactDOM from 'react-dom';
import Conversation from './Conversation';
import { MockedProvider } from '@apollo/client/testing';
import { LOAD_MESSAGES, LOAD_USERS } from "../../GraphQL/Queries";
import { render, screen, getByText, waitFor, getByTestId, fireEvent } from '@testing-library/react';
import renderer from "react-test-renderer";


const mocks = [];

const comp = <MockedProvider mocks={mocks}>
  <Conversation />
</MockedProvider>

describe(('rendring of components'), () => {
  it('It should mount', () => {
    const div = document.createElement('div');
    ReactDOM.render(comp, div);
    ReactDOM.unmountComponentAtNode(div);
  })
}
)