import React, { lazy, Suspense } from 'react';

const LazyConversationShell = lazy(() => import('./ConversationShell'));

const ConversationShell = props => (
  <Suspense fallback={null}>
    <LazyConversationShell {...props} />
  </Suspense>
);

export default ConversationShell;
