import React, { lazy, Suspense } from 'react';

const LazyChatItem = lazy(() => import('./MessageItem'));

const MessageItem = (props) => (
  <Suspense fallback={null}>
    <LazyChatItem {...props} />
  </Suspense>
);

export default MessageItem;
