"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/es.parse-int.js");

var _react = _interopRequireDefault(require("react"));

require("./Message.scss");

var _classnames = _interopRequireDefault(require("classnames"));

var _sample = _interopRequireDefault(require("../../assets/sample.png"));

var _getHoursFromTimestamp = require("../../_helpers/getHoursFromTimestamp");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Message = _ref => {
  let {
    isMyMessage,
    message
  } = _ref;
  const messageClass = (0, _classnames.default)('message-row', {
    'you-message': isMyMessage,
    'other-message': !isMyMessage
  });
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "Message"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: messageClass
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "message-content"
  }, isMyMessage ? null : /*#__PURE__*/_react.default.createElement("div", {
    className: "img-container"
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: (message === null || message === void 0 ? void 0 : message.imageUrl) || _sample.default,
    alt: (message === null || message === void 0 ? void 0 : message.imageUrl) || ""
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: "img-container-status-circle"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "message-container"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "message-title"
  }, !isMyMessage && /*#__PURE__*/_react.default.createElement("span", null, message === null || message === void 0 ? void 0 : message.from), /*#__PURE__*/_react.default.createElement("span", null, (0, _getHoursFromTimestamp.getHoursFromTimestamp)(parseInt(message === null || message === void 0 ? void 0 : message.timestamp)))), /*#__PURE__*/_react.default.createElement("div", {
    className: "message-body"
  }, message === null || message === void 0 ? void 0 : message.body)))));
};

var _default = Message;
exports.default = _default;