"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _moment = _interopRequireDefault(require("moment"));

var _MessageItemModule = _interopRequireDefault(require("./MessageItem.module.scss"));

var _sample = _interopRequireDefault(require("../../assets/sample.png"));

var _reactHighlightWords = _interopRequireDefault(require("react-highlight-words"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const MessageItem = _ref => {
  let {
    user,
    active,
    handleActiveMessage,
    query
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(!active ? _MessageItemModule.default.MessageItem : _MessageItemModule.default.MessageItem__active),
    onClick: handleActiveMessage
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _MessageItemModule.default.MessageItem__imgcontainer
  }, /*#__PURE__*/_react.default.createElement("img", {
    alt: "profile",
    src: _sample.default
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: _MessageItemModule.default.MessageItem__imgcontainer__status_circle
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: _MessageItemModule.default.MessageItem__body
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _MessageItemModule.default.MessageItem__body__name
  }, /*#__PURE__*/_react.default.createElement("small", {
    className: _MessageItemModule.default.MessageItem__body__message__small
  }, (user === null || user === void 0 ? void 0 : user.username) !== null ? user === null || user === void 0 ? void 0 : user.username : 'Profile Name'), /*#__PURE__*/_react.default.createElement("small", {
    className: _MessageItemModule.default.MessageItem__body__date
  }, (0, _moment.default)(Number(user === null || user === void 0 ? void 0 : user.timestamp)).format('L'))), /*#__PURE__*/_react.default.createElement("div", {
    className: _MessageItemModule.default.MessageItem__body__message
  }, /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_reactHighlightWords.default, {
    highlightClassName: _MessageItemModule.default.MessageItem__highlited_searched_query // activeStyle={{ color: 'red' }}
    ,
    searchWords: [query === null || query === void 0 ? void 0 : query.parameter] // autoEscape={true}
    ,
    textToHighlight: user === null || user === void 0 ? void 0 : user.body
  })), /*#__PURE__*/_react.default.createElement("small", null, "In Chat with ", user === null || user === void 0 ? void 0 : user.username))));
};

MessageItem.propTypes = {};
MessageItem.defaultProps = {};
var _default = MessageItem;
exports.default = _default;