import React, { lazy, Suspense } from 'react';

const LazyChatShell = lazy(() => import('./ChatShell'));

const ChatShell = props => (
  <Suspense fallback={null}>
    <LazyChatShell {...props} />
  </Suspense>
);

export default ChatShell;
