import React, { lazy, Suspense } from 'react';

const LazyConversation = lazy(() => import('./Conversation'));

const Conversation = props => (
  <Suspense fallback={null}>
    <LazyConversation {...props} />
  </Suspense>
);

export default Conversation;
