import React, { lazy, Suspense } from 'react';

const LazyConversationContainer = lazy(() => import('./ConversationContainer'));

const ConversationContainer = props => (
  <Suspense fallback={null}>
    <LazyConversationContainer {...props} />
  </Suspense>
);

export default ConversationContainer;
