import React, { lazy, Suspense } from 'react';

const LazySearchList = lazy(() => import('./SearchList'));

const SearchList = props => (
  <Suspense fallback={null}>
    <LazySearchList {...props} />
  </Suspense>
);

export default SearchList;
